package com.cloudcross.ssp.model;

import java.util.Date;

/**
 * Wifi，对应数据库里面的表t_wifi
 * @author chenyou
 */

public class Wifi {

	private Long id;
	//热点名称
	private String name;
	private String SSID;
	private String location;
	//省的名称，在联表查询时使用
	private String cn;
	//市的名称，在联表查询时使用
	private String cnCity;
	private String apmac;
	private String address;
	private Float longitude;
	private Float latitude;
	//运营商场景
	private String place;
	//场景id，这是云联自己定义的场景名称对应的id
	private Long placeId;
	//数聚场景子场景在联表查询时使用
	private String placeName;
	//数聚场景名称在联表查询时使用
	private String placeClassName;
	//运营商id
	private Long operatorId;
	//状态，0-开启，1-暂停，-1-删除
	private Integer status;
	//更新时间
	private Date updated;
	
	public String getPlaceClassName() {
		return placeClassName;
	}
	public void setPlaceClassName(String placeClassName) {
		this.placeClassName = placeClassName;
	}
	public String getCn() {
		return cn;
	}
	public void setCn(String cn) {
		this.cn = cn;
	}
	public String getCnCity() {
		return cnCity;
	}
	public void setCnCity(String cnCity) {
		this.cnCity = cnCity;
	}
	public String getPlaceName() {
		return placeName;
	}
	public void setPlaceName(String placeName) {
		this.placeName = placeName;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getSSID() {
		return SSID;
	}
	public void setSSID(String sSID) {
		SSID = sSID;
	}
	public String getApmac() {
		return apmac;
	}
	public void setApmac(String apmac) {
		this.apmac = apmac;
	}
	public String getPlace() {
		return place;
	}
	public void setPlace(String place) {
		this.place = place;
	}
	public Long getPlaceId() {
		return placeId;
	}
	public void setPlaceId(Long placeId) {
		this.placeId = placeId;
	}
	public Long getOperatorId() {
		return operatorId;
	}
	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Date getUpdated() {
		return updated;
	}
	public void setUpdated(Date updated) {
		this.updated = updated;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getLocation() {
		return location;
	}
	public void setLocation(String location) {
		this.location = location;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}	
	public Float getLongitude() {
		return longitude;
	}
	public void setLongitude(Float longitude) {
		this.longitude = longitude;
	}
	public Float getLatitude() {
		return latitude;
	}
	public void setLatitude(Float latitude) {
		this.latitude = latitude;
	}
	
	@Override
	public String toString() {
		return "Wifi [id=" + id + ", name=" + name + ", SSID=" + SSID
				+ ", location=" + location + ", cn=" + cn + ", cnCity="
				+ cnCity + ", apmac=" + apmac + ", address=" + address
				+ ", longitude=" + longitude + ", latitude=" + latitude
				+ ", place=" + place + ", placeId=" + placeId + ", placeName="
				+ placeName + ", placeClassName=" + placeClassName
				+ ", operatorId=" + operatorId + ", status=" + status
				+ ", updated=" + updated + "]";
	}
	
	
}
